package com.example.insector;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class GetMedication extends AppCompatActivity {

    TextView textView1;
    TextView textView2;
    TextView textView3;
    TextView textView4;
    Button button;
    String value;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_get_medication);

        textView1=findViewById(R.id.tick);
        textView2=findViewById(R.id.bedbug);
        textView3=findViewById(R.id.wasp);
        textView4=findViewById(R.id.ant);
        button=findViewById(R.id.channel);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
           value = extras.getString("insect");
        }

        if (value.equals("Ant")){
            textView4.setVisibility(View.VISIBLE);
        }else if (value.equals("Bedbug")){
            textView2.setVisibility(View.VISIBLE);
        }else if (value.equals("Wasp")){
            textView3.setVisibility(View.VISIBLE);
        }else {
            textView1.setVisibility(View.VISIBLE);
        }

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Uri uri = Uri.parse("https://www.echannelling.com/Echannelling/index;jsessionid=6ijOdvxPHR7Rk1e9_FK7pA9vMTqLgNxYU4jRsULT.eclweb1dr:WEB?view=&deviceCode=na"); // missing 'http://' will cause crashed
                Intent intent = new Intent(Intent.ACTION_VIEW, uri);
                startActivity(intent);
            }
        });
    }
}